package ac.ed.lurg.country.gams;

import java.util.Map;

import ac.ed.lurg.landuse.AreasItem;
import ac.ed.lurg.landuse.CropUsageData;
import ac.ed.lurg.landuse.IntensitiesItem;
import ac.ed.lurg.types.CropType;

public class GamsLocationOutput {
	int status;
	
	Map<Integer, IntensitiesItem> intensities;  // data mapped from id (not raster)
	Map<Integer, AreasItem> cropAreas;
	private Map<CropType, CropUsageData> cropUsageData;
	Map<CropType, Double> cropAdjustments;
	
	public GamsLocationOutput(int status, 
			Map<Integer, IntensitiesItem> intensities, 
			Map<Integer, AreasItem> cropAreas, 
			Map<CropType, CropUsageData> cropUsageData,
			Map<CropType, Double> cropAdjustments) {
		super();
		this.status = status;
		this.intensities = intensities;
		this.cropAreas = cropAreas;
		this.cropUsageData = cropUsageData;
		this.cropAdjustments = cropAdjustments;
	}
	
	public int getStatus() {
		return status;
	}
	public Map<Integer, IntensitiesItem> getIntensities() {
		return intensities;
	}
	public Map<Integer, AreasItem> getCropAreas() {
		return cropAreas;
	}
	public Map<CropType, CropUsageData> getCommoditiesData() {
		return cropUsageData;
	}
	
	public Map<CropType, Double> getCropAdjustments() {
		return cropAdjustments;
	}

}
