package ac.ed.lurg.country.gams;

import java.util.Map;

import ac.ed.lurg.landuse.AreasItem;
import ac.ed.lurg.landuse.CropUsageData;
import ac.ed.lurg.landuse.IntensitiesItem;
import ac.ed.lurg.types.CropType;
import ac.sac.raster.IntegerRasterItem;
import ac.sac.raster.RasterSet;

public class GamsRasterOutput {
	
	private int status;
	
	private RasterSet<IntensitiesItem> intensityRaster;
	private RasterSet<AreasItem> cropAreaRaster;
	private RasterSet<IntegerRasterItem> locationIdRaster;
	
	private Map<CropType, CropUsageData> cropUsageData;
	private Map<CropType, Double> cropAdjustments;

	public GamsRasterOutput(RasterSet<AreasItem> cropAreaRaster, Map<CropType, CropUsageData> cropUsageData) {
		super();
		this.cropAreaRaster = cropAreaRaster;
		this.cropUsageData = cropUsageData;
	}

	public GamsRasterOutput(int status, RasterSet<IntensitiesItem> intensityRaster, RasterSet<AreasItem> cropAreaRaster, Map<CropType, CropUsageData> cropUsageData, 
			Map<CropType, Double> cropAdjustments, RasterSet<IntegerRasterItem> locationIdRaster) {
		this(cropAreaRaster, cropUsageData);
		this.status = status;
		this.intensityRaster = intensityRaster;
		this.cropAdjustments = cropAdjustments;
		this.locationIdRaster = locationIdRaster;
	}
	
	public int getStatus() {
		return status;
	}
	
	public RasterSet<IntensitiesItem> getIntensityRaster() {
		return intensityRaster;
	}
	
	public RasterSet<AreasItem> getCropAreaRaster() {
		return cropAreaRaster;
	}
	
	public RasterSet<IntegerRasterItem> getLocationIdRaster() {
		return locationIdRaster;
	}

	public Map<CropType, CropUsageData> getCropUsageData() {
		return cropUsageData;
	}

	public Map<CropType, Double> getCropAdjustments() {
		return cropAdjustments;
	}
}
