package ac.ed.lurg.landuse;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;

import ac.ed.lurg.types.LandCoverType;
import ac.sac.raster.RasterItem;

/** Used to hold less detailed land-cover information
 *  This is used in the initalisation phase, after that land-use is used */
public class LandCoverItem implements RasterItem {
	
	Map<LandCoverType, Double> landcover = new HashMap<LandCoverType, Double>();

	/** Area in Mha */ 
	public Double getLandCover(LandCoverType landType) {
		return landcover.get(landType);
	}

	public void setLandCover(LandCoverType landType, double d) {
		landcover.put(landType, d);
	}
	
	public void scaleAll(double factor) {
		for (Entry<LandCoverType, Double> entry : landcover.entrySet()) {
			landcover.put(entry.getKey(), entry.getValue() * factor);
		}

	}
		
	/*public double getTotal() {
		double total = 0;
		for (double d : landcover.values()) {
			total += d;
		}
		return total;
	}*/
}
