package ac.ed.lurg.yield;

import java.util.HashMap;
import java.util.Map;

import ac.ed.lurg.types.YieldType;

public class AveragingYieldResponse extends YieldResponse {
	private Map<YieldType, Integer> numAreas = new HashMap<YieldType, Integer>();

	// we are assuming that the areas are all the same size, i.e. countries boundaries follow equal sized grid structure
	public void setYield(YieldType type, double yield) {
		
		double previousYield = 0;
		if (yields.containsKey(type))
			previousYield = yields.get(type);
		
		int prevNumAreas = 0;
		if (numAreas.containsKey(type))
			prevNumAreas = numAreas.get(type);

		double newAvgYield = (previousYield*prevNumAreas + yield)/(prevNumAreas+1);
		
		yields.put(type, newAvgYield);
		numAreas.put(type, prevNumAreas+1);
	}
}
